Page MenuHomePhabricator

Create MediaWiki-extensions-SkinPerNamespace project
Closed, ResolvedPublic

Description

I want to deploy the SkinPerNamespace extension on mediawiki.org, T98897. Per Writing_an_extension_for_deployment, "Request a project in Phabricator to track bugs and feature requests for your extension."

Name: MediaWiki-extensions-SkinPerNamespace
Description: Allows a per-namespace skin, see https://www.mediawiki.org/wiki/Extension:SkinPerNamespace

I have project-creation rights, so I'm looking for feedback before I do this.

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added subscribers: Spage, IAlex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2015, 7:44 PM
Qgil assigned this task to Spage.Jun 18 2015, 7:52 AM
Qgil updated the task description. (Show Details)
Qgil set Security to None.
Qgil added a subscriber: Qgil.

Makes sense.

@Spage: Do it. :) After project creation I normally edit the corresponding mw.org page and add the line "bugzilla = SkinPerNamespace" to the template box; feel free to do so too

Spage triaged this task as High priority.Jul 27 2015, 9:20 PM
Spage renamed this task from Create MediaWiki-extensions-SkinPerNamespace project to Create MediaWiki-extensions-SkinPerPage project.Jul 28 2015, 2:29 AM
Spage lowered the priority of this task from High to Normal.
Spage closed this task as Resolved.Jul 28 2015, 2:44 AM

We decided not to create a new namespace just for pages in the (renamed) "Web APIs hub", so we need to deploy the SkinPerPage extension, not SkinPerNamespace. So I retitled this bug, and have created #MediaWiki-extensions-SkinPerPage.

@Spage: Do it. :) After project creation I normally edit the corresponding mw.org page and add the line "bugzilla = SkinPerNamespace" to the template box; feel free to do so too

Done (phabricator = SkinPerPage ).

Qgil renamed this task from Create MediaWiki-extensions-SkinPerPage project to Create MediaWiki-extensions-SkinPerNamespace project.Aug 4 2015, 10:34 AM

I have renamed the project to SkinPerNamespace -- see https://phabricator.wikimedia.org/T98897#1505946